petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatIsHermitianTranspose

Test whether a matrix is another one's Hermitian transpose,

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatIsHermitianTranspose(Mat A,Mat B,PetscReal tol,PetscBool  *flg)

Collective on Mat

### Input Parameter

| A | - the matrix to test
| B | - the matrix to test against, this can equal the first parameter

### Output Parameters

flg -the result

### Notes

Only available for SeqAIJ/MPIAIJ matrices. The sequential algorithm has a running time of the order of the number of nonzeros; the parallel test involves parallel copies of the block-offdiagonal parts of the matrix.

### See Also

MatTranspose(), MatIsSymmetric(), MatIsHermitian(), MatIsTranspose()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages